> For the complete documentation index, see [llms.txt](https://docs.nosto.com/ugc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nosto.com/ugc/api-docs/content.md).

# Content API

## Overview

Nosto's UGC Content API plugin provides a data-rich endpoint, containing all respective Tile data in an easily consumable JSON format, which is optimized for fast delivery in front and backend integrations.

## Usage

**Key Features**

* Produces a simple JSON data structure.
* Speed and robustness of content delivery.
* Uses a simple URI query structure with default values to match UGC's most common use cases.
* Prioritises cached data results with simple cache times; 3 or 6 minutes.
* No API rate limits.
* Open access via configurable CORS security headers.

**Designed for**

* Powering content for websites and browser-based apps.
* Syncing content to external data stores.

## API Specification

Please see the [Content API Reference page](/ugc/api-docs/content/reference.md) for the resources and fields you can use in your applications. To have a play, head to the API Console in the Nosto Admin Portal.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nosto.com/ugc/api-docs/content.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
